import 'package:flutter/widgets.dart';
import 'package:flutter_bloc/flutter_bloc.dart';
import 'package:pharmacy_mobile/blocs/caches/supplierlist/supplierlist_cache_bloc.dart';
import 'package:pharmacy_mobile/blocs/caches/supplierlist/supplierlist_cache_event.dart';

Future<bool> cacheSetSupplierList(BuildContext context, List value) async {
  try {
    final supplierListCache = context.read<SupplierListBloc>();
    supplierListCache.add(SupplierListCacheSet(value));
    return true;
  } catch (e) {
    return false;
  }
}
